Gammal.ib - Feature #285

Implement parameter checking in GApplicationPar class

07/07/2012 08:53 PM - Knddliseder Jirgen

Status: Closed

Priority: Normal

Assigned To: Knédlseder Jurgen
Category:

Target version: 1.0.0

Start date:
Due date:

% Done:

Estimated time:

07/07/2012

100%
0.00 hour

Description

The GApplicationPar parameter class does not yet implement parameter checking.

The methods that need to be implemented are:

°

GApplicationPar::check_value_int
GApplicationPar::check_value_real
GApplicationPar::check_value_string

GApplicationPar::check_value_filename

History

#1 - 01/17/2014 09:28 AM - KnddlIseder Jiirgen

- Subject changed from Implement parameter checking in GPar class to Implement parameter checking in GApplicationPar class

- Description updated

#2 - 02/08/2015 09:01 PM - Knodlseder Jiirgen
- Assigned To set to Knédlseder Jiirgen

- Target version set to 1.0.0

Would be good to have this for version 1.0 to make the ctools more user friendly.

#3 - 02/09/2015 11:50 PM - Knddlseder Jiirgen
- Status changed from New to Closed

- % Done changed from 0 to 100

Done and merged into devel.
